INSERT_RESOURCE_CONF(9)

NAME
insert_resource_conflict - Inserts resource in the resource tree

SYNOPSIS

struct resource * insert_resource_conflict(struct resource * parent, struct resource * new);

ARGUMENTS

parent
    parent of the new resource

new
    new resource to insert

DESCRIPTION

Returns 0 on success, conflict resource if the resource can't be inserted.

This function is equivalent to request_resource_conflict when no conflict happens. If a conflict happens, and the conflicting resources entirely fit within the range of the new resource, then the new resource is inserted and the conflicting resources become children of the new resource.

COPYRIGHT